curl --request GET \
--url https://api.prod.finverse.net/payment_users/{paymentUserId}/payment_methods \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.prod.finverse.net/payment_users/{paymentUserId}/payment_methods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prod.finverse.net/payment_users/{paymentUserId}/payment_methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payment_methods": [
{
"card": {
"card_details": {
"acquirer_authorization_reference": "R7RRPSMPR5P",
"brand": "Visa",
"brand_product_name": "visa",
"card_number_alias": "F495225511395777",
"collection_entity_name": "Demo Company Limited",
"country": "NL",
"expiry_month": 3,
"expiry_year": 2030,
"fingerprint": "5ePOmfH7G5irogopQi8b1XfF4G3CF",
"finverse_authorization_reference": "FC260415XP40",
"last4": "1111",
"processor_details": {
"auth_code": "070240",
"processor_id": "ADYEN",
"processor_reference": "PTQK3MZ7F9SRCTV5",
"token_id": "WV947F3N9PJ3JWV5"
},
"recurring_payment_mode": "NON_RECURRING"
},
"created_at": "2026-04-15T07:39:00.921Z",
"recipient_account": {
"account_id": "01K3NA2VWQCX4GKKTRH5RQRGQ2",
"account_type": "SETTLEMENT_ACCOUNT"
},
"risk_data": {
"processor_risk_data": {
"browser_type": "Chrome",
"device_type": "Other",
"shopper_country": "HK",
"shopper_ip": "121.202.204.206",
"shopper_locale": "en-US"
}
},
"status": "SUCCEEDED",
"updated_at": "2026-04-15T07:39:37.032Z"
},
"integration_metadata": {
"adyen_metadata": {
"auth_code": "070240",
"payment_method_id": "WV947F3N9PJ3JWV5",
"psp_reference": "PTQK3MZ7F9SRCTV5",
"recurring_processing_model": "UnscheduledCardOnFile"
},
"integration_id": "ADYEN"
},
"payment_method_id": "01KP818HDB4CVFQEXNCV7AMNH3",
"payment_method_type": "CARD"
},
{
"card": {
"card_details": {
"brand": "Visa",
"collection_entity_name": "Demo Company Limited",
"expiry_month": 1,
"expiry_year": 2028,
"finverse_authorization_reference": "FC2506181FBA",
"last4": "6666",
"processor_details": {
"auth_code": "073123",
"processor_id": "adyen",
"processor_reference": "NHMBR2TR38H7A123",
"token_id": "D49T5QZSPLSAB123"
},
"recurring_payment_mode": "NON_RECURRING"
},
"created_at": "2024-11-15T08:04:00.942Z",
"status": "SUCCEEDED",
"updated_at": "2024-11-15T08:04:15.491Z"
},
"integration_metadata": {
"cybersource_metadata": {
"payment_token": "26EFFDB01BF458F5E063AF598E0ACABA"
},
"integration_id": "CYBERSOURCE"
},
"payment_method_id": "01JCQDKE9DQYG366HMNDGHM85N",
"payment_method_type": "CARD"
},
{
"card": {
"card_details": {
"brand": "Visa",
"collection_entity_name": "Demo Company Limited",
"expiry_month": 5,
"expiry_year": 2034,
"finverse_authorization_reference": "FC2506181AAA",
"last4": "1111",
"processor_details": {
"auth_code": "073666",
"processor_id": "adyen",
"processor_reference": "NHMBR2TR38H7C678",
"token_id": "D49T5QZSPLSAC999"
},
"recurring_payment_mode": "FIXED_SCHEDULE"
},
"created_at": "2024-11-15T08:02:59.409Z",
"status": "SUCCEEDED",
"updated_at": "2024-11-15T08:03:17.454Z"
},
"integration_metadata": {
"cybersource_metadata": {
"payment_token": "26EFF54ECA88E9F9E063AF598E0AAB4C"
},
"integration_id": "CYBERSOURCE"
},
"payment_method_id": "01JCQDHJ6G9Y8NVEZ537NMSJ2M",
"payment_method_type": "CARD"
},
{
"card": {
"card_details": {},
"created_at": "2024-11-15T07:59:37.957Z",
"status": "FAILED",
"updated_at": "2024-11-15T08:00:05.563Z"
},
"payment_method_id": "01JCQDBDF41F4QHKMP54Y0P24B",
"payment_method_type": "CARD"
},
{
"mandate": {
"created_at": "2024-11-15T07:58:06.206Z",
"fees": [],
"mandate_details": {
"collection_entity_name": "Finverse Technologies Limited",
"currency": "HKD",
"description": "Payment link mandate",
"mandate_bank_reference": "FV TEAM-848E-FV T",
"processor_entity_name": "Finverse Technologies Limited",
"start_date": "2024-11-15",
"transaction_limits": {
"max_transaction_amount": 500000,
"max_transaction_amount_set_by_payer_initial": 5000
}
},
"mandate_id": "01JCQD84QBMXNVEVGZK5GVTBPH",
"payment_method_id": "01JCQD84WSZT7T95R27EH0F7D1",
"recipient": {
"name": "Demo App"
},
"recipient_account": {
"account_id": "01H5VH5YCFDVH80YZ8D0TG3HET",
"account_type": "SETTLEMENT_ACCOUNT"
},
"sender": {
"external_user_id": "user_id_1||1731657447",
"name": "John Doe",
"user_details": [],
"user_id": "01JCQD7DXHHW62Q1DW96HK1EAZ",
"user_type": "INDIVIDUAL"
},
"sender_account": {
"account_id": "01JCQD8GEC4YHZ4N5P0TDTGXD2",
"account_number": {
"number": "01JCQD8GNDY3MMPVX1NCBR1T4D",
"type": "LOCAL"
},
"account_number_masked": "399XXXXX9393",
"account_type": "EXTERNAL_ACCOUNT",
"accountholder_name": "01JCQD8GMF51GXNWJE51BN4XDG",
"institution_id": "testbank-dbs-hk",
"institution_name": "Testbank (HK) Payments - Personal",
"user_id": "01JCQD7DXHHW62Q1DW96HK1EAZ"
},
"status": "SUCCEEDED",
"updated_at": "2024-11-15T07:58:04.659Z"
},
"payment_method_id": "01JCQD84WSZT7T95R27EH0F7D1",
"payment_method_type": "MANDATE"
}
],
"sender": {
"autopay_consent": false,
"created_at": "2024-11-15T07:57:27.345Z",
"external_user_id": "user_id_1||1731657447",
"integration_metadata": {
"integration_id": "RAPIDSTOR",
"rapidstor_metadata": {
"account_token": "abcdef123456",
"corp_code": "{{corp_code}}",
"i_anniv_days": 16,
"s_location_code": "{{s_location_code}}",
"tenant_default_currency": "HKD",
"tenant_id": "{{tenant_id}}"
}
},
"name": "John Doe",
"updated_at": "2024-11-15T08:06:54.271Z",
"user_details": [],
"user_id": "01JCQD7DXHHW62Q1DW96HK1EAZ",
"user_type": "INDIVIDUAL"
}
}{
"error": {
"details": "<string>",
"error_code": "CREDENTIALS_INVALID",
"message": "<string>",
"request_id": "<string>",
"type": "LINKING_ERROR"
}
}{
"error": {
"details": "<string>",
"error_code": "CREDENTIALS_INVALID",
"message": "<string>",
"request_id": "<string>",
"type": "LINKING_ERROR"
}
}{
"error": {
"details": "<string>",
"error_code": "CREDENTIALS_INVALID",
"message": "<string>",
"request_id": "<string>",
"type": "LINKING_ERROR"
}
}Get Payment Methods by User
Retrieve a list of Payment Methods for a user (using a specific user_id).
Authorization: customer_token
Limitations: Payment Methods are only returned for payment methods that are stored. The following payment methods are not stored:
-
One-time payment methods (e.g. manual bank transfer via FPS/PayNow);
-
Some card payment methods authorized for only one-time use (depending on the external payment gateway).
- For these one-time card payments, some card details may be included directly in the Payments object (see
payments.payment_methods), if available from the external payment gateway.
- For these one-time card payments, some card details may be included directly in the Payments object (see
Response fields
Details on the user’s payment methods (Mandates, Cards) plus the user (sender), including the user’s autopay consent status.
payment_method (object)
Details on an individual payment method authorized by the end-used.
card (object, conditional)
Details on the card authorized by the end-user.
card_details (object)
Additional details on the card.
Limitations:
- Card details may be missing in some cases (e.g. if an end-user pays with a card stored in Stripe Link, or with a wallet instead of a card).
processor_details (object, optional)
Additional details on how the payment method authorization was processed.
sender (object)
The sender object includes a Payment User object for the sender of the payment. Refer to the Payment User data model in GET /payment_users/{payment_user_id} for details on the Payment User object.
Note: Some Payment User metadata fields are omitted for clarity (e.g. created_at, metadata, updated_at).
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Payment User Id